> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suspend Sub-account

> Suspends the sub-account identified by its handle.
This action disables the account, preventing it from sending any emails until it is reactivated.




## OpenAPI

````yaml /email-api/api-reference/openapi.yaml post /sub-account/{handle}/suspend
openapi: 3.0.0
info:
  contact:
    email: support@mailchannels.com
    name: MailChannels Corporation
  description: >
    This is the API reference for Email API. Here, you'll find more detailed
    information on every endpoint, including parameters, response formats, and
    error codes.
  title: Email API
  version: 1.4.0
servers:
  - url: https://api.mailchannels.net/tx/v1
security: []
tags:
  - name: Send
  - name: DKIM
  - name: Metrics
  - name: Sub-accounts
  - name: Suppression
  - name: Webhooks
  - name: Usage
  - name: Custom Tracking
paths:
  /sub-account/{handle}/suspend:
    post:
      tags:
        - Sub-accounts
      summary: Suspend Sub-account
      description: >
        Suspends the sub-account identified by its handle.

        This action disables the account, preventing it from sending any emails
        until it is reactivated.
      parameters:
        - description: Handle of sub-account to be suspended.
          in: path
          name: handle
          required: true
          schema:
            type: string
        - in: header
          name: X-Api-Key
          required: true
          schema:
            type: string
      responses:
        '204':
          description: The specified sub-account is successfully suspended.
        '404':
          description: The specified sub-account does not exist.
        '500':
          description: An unexpected internal error occurred.
      x-codeSamples:
        - label: Node.js
          lang: javascript
          source: >-
            import { MailChannels } from "mailchannels-sdk";


            const { PARENT_API_KEY, SUB_ACCOUNT_HANDLE } = process.env;

            if (!PARENT_API_KEY) throw new Error("Set PARENT_API_KEY (a
            parent-account API key) before running");

            if (!SUB_ACCOUNT_HANDLE) throw new Error("Set SUB_ACCOUNT_HANDLE
            (the sub-account to suspend)");


            const mailchannels = new MailChannels(PARENT_API_KEY);


            const { success, error } = await
            mailchannels.subAccounts.suspend(SUB_ACCOUNT_HANDLE);


            if (!success) {
              console.error("Suspend sub-account failed:", error);
              process.exit(1);
            }

            console.log(`Sub-account ${SUB_ACCOUNT_HANDLE} suspended`);
        - label: Python
          lang: python
          source: |-
            import os
            import sys

            import mailchannels

            parent_api_key = os.environ.get("PARENT_API_KEY")
            handle = os.environ.get("SUB_ACCOUNT_HANDLE")
            if not parent_api_key:
                sys.exit("Set PARENT_API_KEY (a parent-account API key) before running")
            if not handle:
                sys.exit("Set SUB_ACCOUNT_HANDLE (the sub-account to suspend)")

            mailchannels.api_key = parent_api_key

            response = mailchannels.SubAccounts.suspend(handle)

            print(response)
        - label: PHP
          lang: php
          source: >-
            <?php


            require_once __DIR__ . '/vendor/autoload.php';


            use MailChannels\Client;


            $parent_api_key     = getenv('PARENT_API_KEY') or exit("Error:
            PARENT_API_KEY is not set\n");

            $sub_account_handle = getenv('SUB_ACCOUNT_HANDLE') or exit("Error:
            SUB_ACCOUNT_HANDLE is not set\n");


            $client = new Client(apiKey: $parent_api_key);


            $response = $client->subAccounts->suspend($sub_account_handle);


            echo "HTTP Status: " . $response->statusCode . "\n";

````